Last Comment Bug 745950 - autoconfig user name probing fails
: autoconfig user name probing fails
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Account Manager (show other bugs)
: unspecified
: All All
: -- normal (vote)
: Thunderbird 14.0
Assigned To: David :Bienvenu
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-16 14:22 PDT by David :Bienvenu
Modified: 2012-06-07 17:20 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed
fixed


Attachments
proposed fix (1.17 KB, patch)
2012-04-17 13:14 PDT, David :Bienvenu
ben.bucksch: review+
standard8: approval‑comm‑aurora+
standard8: approval‑comm‑beta+
Details | Diff | Splinter Review

Description David :Bienvenu 2012-04-16 14:22:27 PDT
My isp has a domain name mismatch on certs, which causes a cert exception during account creation. Even if I override the exception, the account is created with the wrong user name (my usernames are the full e-mail addresses; autoconfig guesses that it's just the left size of the e-mail address). So I end up with an account created that doesn't work. This worked fine in 3.1 BenB was suggesting that this might have been an intentional change, but I suspect that's because I didn't describe the bug sufficiently well :-)
Comment 1 Ben Bucksch (:BenB) 2012-04-16 14:35:20 PDT
Yeah, I'm not sure.

verifyConfig.js should try both variants, so your case should work.
Comment 2 David :Bienvenu 2012-04-17 13:14:02 PDT
Created attachment 615840 [details] [diff] [review]
proposed fix
Comment 3 Ben Bucksch (:BenB) 2012-04-17 13:16:25 PDT
Comment on attachment 615840 [details] [diff] [review]
proposed fix

Perfect. Thanks.
Sorry for forgetting that.
Comment 4 David :Bienvenu 2012-04-17 13:26:14 PDT
fixed on trunk - http://hg.mozilla.org/comm-central/rev/5dc4741eb87d
Comment 5 David :Bienvenu 2012-04-17 13:27:05 PDT
Comment on attachment 615840 [details] [diff] [review]
proposed fix

[Approval Request Comment]
I should say I don't think bug has anything to do with cert exceptions, just username probing in general.
Comment 6 Mark Banner (:standard8, afk until Dec) 2012-04-17 14:16:48 PDT
Comment on attachment 615840 [details] [diff] [review]
proposed fix

a=Standard8
Comment 7 Mark Banner (:standard8, afk until Dec) 2012-04-17 14:35:08 PDT
Checked into branches:

http://hg.mozilla.org/releases/comm-aurora/rev/5012484b9366
http://hg.mozilla.org/releases/comm-beta/rev/dafccb53c492

Note You need to log in before you can comment on or make changes to this bug.